fop 1.1

## org.apache.fop.complexscripts.fonts
Class GlyphSubstitutionTable.LigatureSet

    java.lang.Object
      org.apache.fop.complexscripts.fonts.GlyphSubstitutionTable.LigatureSet

Enclosing class:
  GlyphSubstitutionTable

    public static class GlyphSubstitutionTable.LigatureSet

extends java.lang.Object

The `LigatureSet` class implements a set of ligatures.

Constructor Summary
`GlyphSubstitutionTable.LigatureSet(GlyphSubstitutionTable.Ligature[] ligatures)` Instantiate a set of ligatures.
`GlyphSubstitutionTable.LigatureSet(java.util.List ligatures)` Instantiate a set of ligatures.

Method Summary
`GlyphSubstitutionTable.Ligature[]` `getLigatures()`
`int` `getMaxComponents()`
`int` `getNumLigatures()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlyphSubstitutionTable.LigatureSet

    public GlyphSubstitutionTable.LigatureSet(java.util.List ligatures)

  Instantiate a set of ligatures.

  Parameters:
    `ligatures` - collection of ligatures

### GlyphSubstitutionTable.LigatureSet

    public GlyphSubstitutionTable.LigatureSet(GlyphSubstitutionTable.Ligature[] ligatures)

  Instantiate a set of ligatures.

  Parameters:
    `ligatures` - array of ligatures

Method Detail

### getLigatures

    public GlyphSubstitutionTable.Ligature[] getLigatures()

  Returns:
    array of ligatures in this ligature set

### getNumLigatures

    public int getNumLigatures()

  Returns:
    count of ligatures in this ligature set

### getMaxComponents

    public int getMaxComponents()

  Returns:
    maximum number of components in one ligature (including first component)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.